Loading...
Searching...
No Matches
Halide::Runtime::Internal::PrinterBase Class Reference

`#include <printer.h>`

## Classes

struct | Float16Bits

## Public Member Functions

NEVER_INLINE | PrinterBase (void *user_context_, char *start_, uint64_t size_)
NEVER_INLINE const char * | str ()
uint64_t | size () const
uint64_t | capacity () const
NEVER_INLINE void | clear ()
NEVER_INLINE void | erase (int n)
NEVER_INLINE PrinterBase & | operator<< (const char *arg)
NEVER_INLINE PrinterBase & | operator<< (int64_t arg)
NEVER_INLINE PrinterBase & | operator<< (int32_t arg)
NEVER_INLINE PrinterBase & | operator<< (uint64_t arg)
NEVER_INLINE PrinterBase & | operator<< (uint32_t arg)
NEVER_INLINE PrinterBase & | operator<< (double arg)
NEVER_INLINE PrinterBase & | operator<< (float arg)
NEVER_INLINE PrinterBase & | operator<< (Float16Bits arg)
NEVER_INLINE PrinterBase & | operator<< (const void *arg)
NEVER_INLINE PrinterBase & | operator<< (const halide_type_t &t)
NEVER_INLINE PrinterBase & | operator<< (const halide_buffer_t &buf)
template<typename... Args>
void | append (const Args &...args)
| PrinterBase (const PrinterBase &copy)=delete
PrinterBase & | operator= (const PrinterBase &)=delete
| PrinterBase (PrinterBase &&)=delete
PrinterBase & | operator= (PrinterBase &&)=delete

## Protected Member Functions

NEVER_INLINE void | allocation_error () const

## Protected Attributes

char * | dst
char *const | end
char *const | start
void *const | user_context

## Detailed Description

Definition at line 44 of file printer.h.

## Constructor & Destructor Documentation

## PrinterBase() [1/3]

NEVER_INLINE Halide::Runtime::Internal::PrinterBase::PrinterBase | ( | void * | user_context_,
|  | char * | start_,
|  | uint64_t | size_ )

inline

Definition at line 62 of file printer.h.

References dst, end, NEVER_INLINE, start, and user_context.

Referenced by operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator=(), operator=(), PrinterBase(), and PrinterBase().

## PrinterBase() [2/3]

Halide::Runtime::Internal::PrinterBase::PrinterBase | ( | const PrinterBase & | copy | ) |

delete

References PrinterBase().

## PrinterBase() [3/3]

Halide::Runtime::Internal::PrinterBase::PrinterBase | ( | PrinterBase && |  | ) |

delete

References PrinterBase().

## Member Function Documentation

## allocation_error()

NEVER_INLINE void Halide::Runtime::Internal::PrinterBase::allocation_error | ( |  | ) | const

inline protected

Definition at line 51 of file printer.h.

References halide_error(), NEVER_INLINE, and user_context.

## str()

NEVER_INLINE const char * Halide::Runtime::Internal::PrinterBase::str | ( |  | ) |

inline

Definition at line 74 of file printer.h.

References dst, halide_msan_annotate_memory_is_initialized(), NEVER_INLINE, start, and user_context.

## size()

uint64_t Halide::Runtime::Internal::PrinterBase::size | ( |  | ) | const

inline

Definition at line 79 of file printer.h.

References dst, halide_debug_assert, start, and user_context.

## capacity()

uint64_t Halide::Runtime::Internal::PrinterBase::capacity | ( |  | ) | const

inline

Definition at line 84 of file printer.h.

References end, halide_debug_assert, start, and user_context.

## clear()

NEVER_INLINE void Halide::Runtime::Internal::PrinterBase::clear | ( |  | ) |

inline

Definition at line 89 of file printer.h.

References dst, NEVER_INLINE, and start.

## erase()

NEVER_INLINE void Halide::Runtime::Internal::PrinterBase::erase | ( | int | n | ) |

inline

Definition at line 96 of file printer.h.

References dst, NEVER_INLINE, and start.

## operator<<() [1/11]

NEVER_INLINE PrinterBase & Halide::Runtime::Internal::PrinterBase::operator<< | ( | const char * | arg | ) |

inline

Definition at line 114 of file printer.h.

References dst, end, halide_string_to_string(), NEVER_INLINE, and PrinterBase().

## operator<<() [2/11]

NEVER_INLINE PrinterBase & Halide::Runtime::Internal::PrinterBase::operator<< | ( | int64_t | arg | ) |

inline

Definition at line 119 of file printer.h.

References dst, end, halide_int64_to_string(), NEVER_INLINE, and PrinterBase().

## operator<<() [3/11]

NEVER_INLINE PrinterBase & Halide::Runtime::Internal::PrinterBase::operator<< | ( | int32_t | arg | ) |

inline

Definition at line 124 of file printer.h.

References dst, end, halide_int64_to_string(), NEVER_INLINE, and PrinterBase().

## operator<<() [4/11]

NEVER_INLINE PrinterBase & Halide::Runtime::Internal::PrinterBase::operator<< | ( | uint64_t | arg | ) |

inline

Definition at line 129 of file printer.h.

References dst, end, halide_uint64_to_string(), NEVER_INLINE, and PrinterBase().

## operator<<() [5/11]

NEVER_INLINE PrinterBase & Halide::Runtime::Internal::PrinterBase::operator<< | ( | uint32_t | arg | ) |

inline

Definition at line 134 of file printer.h.

References dst, end, halide_uint64_to_string(), NEVER_INLINE, and PrinterBase().

## operator<<() [6/11]

NEVER_INLINE PrinterBase & Halide::Runtime::Internal::PrinterBase::operator<< | ( | double | arg | ) |

inline

Definition at line 139 of file printer.h.

References dst, end, halide_double_to_string(), NEVER_INLINE, and PrinterBase().

## operator<<() [7/11]

NEVER_INLINE PrinterBase & Halide::Runtime::Internal::PrinterBase::operator<< | ( | float | arg | ) |

inline

Definition at line 144 of file printer.h.

References dst, end, halide_double_to_string(), NEVER_INLINE, and PrinterBase().

## operator<<() [8/11]

NEVER_INLINE PrinterBase & Halide::Runtime::Internal::PrinterBase::operator<< | ( | Float16Bits | arg | ) |

inline

Definition at line 149 of file printer.h.

References Halide::Runtime::Internal::PrinterBase::Float16Bits::bits, dst, end, halide_double_to_string(), halide_float16_bits_to_double(), NEVER_INLINE, and PrinterBase().

## operator<<() [9/11]

NEVER_INLINE PrinterBase & Halide::Runtime::Internal::PrinterBase::operator<< | ( | const void * | arg | ) |

inline

Definition at line 155 of file printer.h.

References dst, end, halide_pointer_to_string(), NEVER_INLINE, and PrinterBase().

## operator<<() [10/11]

NEVER_INLINE PrinterBase & Halide::Runtime::Internal::PrinterBase::operator<< | ( | const halide_type_t & | t | ) |

inline

Definition at line 160 of file printer.h.

References dst, end, halide_type_to_string(), NEVER_INLINE, and PrinterBase().

## operator<<() [11/11]

NEVER_INLINE PrinterBase & Halide::Runtime::Internal::PrinterBase::operator<< | ( | const halide_buffer_t & | buf | ) |

inline

Definition at line 165 of file printer.h.

References dst, end, halide_buffer_to_string(), NEVER_INLINE, and PrinterBase().

## append()

template<typename... Args>

void Halide::Runtime::Internal::PrinterBase::append | ( | const Args &... | args | ) |

inline

Definition at line 171 of file printer.h.

## operator=() [1/2]

PrinterBase & Halide::Runtime::Internal::PrinterBase::operator= | ( | const PrinterBase & |  | ) |

delete

References PrinterBase().

## operator=() [2/2]

PrinterBase & Halide::Runtime::Internal::PrinterBase::operator= | ( | PrinterBase && |  | ) |

delete

References PrinterBase().

## Member Data Documentation

## dst

char* Halide::Runtime::Internal::PrinterBase::dst

protected

Definition at line 46 of file printer.h.

Referenced by clear(), erase(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), PrinterBase(), size(), and str().

## end

char* const Halide::Runtime::Internal::PrinterBase::end

protected

Definition at line 47 of file printer.h.

Referenced by capacity(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), and PrinterBase().

## start

char* const Halide::Runtime::Internal::PrinterBase::start

protected

Definition at line 48 of file printer.h.

Referenced by capacity(), clear(), erase(), PrinterBase(), size(), and str().

## user_context

void* const Halide::Runtime::Internal::PrinterBase::user_context

protected

Definition at line 49 of file printer.h.

Referenced by allocation_error(), capacity(), PrinterBase(), size(), and str().

The documentation for this class was generated from the following file:

- src/runtime/printer.h